Накопители

У вас ботинок прохудился: на Linux-платформах обнаружена серьёзнейшая дыра в безопасности

Как выяснили исследователи компании Eclypsium, большинство дистрибутивов Linux, включая ПО для Интернета вещей, оказались подвержены опасной уязвимости. Обнаруженная уязвимость кроется в механизме загрузки, что позволяет легко обходить даже процесс проверки при включенном режиме безопасной загрузки (Secure Boot). Патчи готовятся, но процесс исправления может затянуться.

Изображение Eclypsium

Неофициальное название новой уязвимости ― BootHole, а присвоенный ей официальный индекс ― CVE-2020-10713. Специалисты Eclypsium обнаружили уязвимость около полугода назад и с тех пор рассылали информацию всем причастным к созданию дистрибутивов Linux компаниям. Можно рассчитывать, что патчи не задержатся, хотя сложность в реализации проверки работы загрузчика с множеством компонентов не обещает простых решений.

Слабым звеном в защите процесса загрузки устройств под управлением Linux стал один из элементов популярного загрузчика GRUB2 во всех его проявлениях. Это конфигурационный файл grub.cfg, который хранится в системном разделе EFI. У этого файла нет криптографической защиты, например, цифровой подписи. У него простой текстовый формат, содержимое которого может модифицировать любой с правами администратора. В мире полно уязвимостей, позволяющих повысить привилегии пользователя, так что необходимость прав администратора для исправления grub.cfg не должна никого успокаивать.

Модифицированный злоумышленником файл через классическую уязвимость типа переполнения буфера даёт возможность управлять процессами загрузки ПК или устройствами с подключением к Интернету. Например, обеспечить загрузку буткита и, тем самым, навечно прописать в систему зловредное ПО, которое невозможно будет удалить даже с помощью форматирования накопителя. Самое печальное, что включение режима безопасной загрузки, что само по себе должно проверять все подозрительные действия загрузчика, не защищает от уязвимости BootHole.

Данная уязвимость грозит не только системам под управлением одной лишь Linux. Если ПК предполагает два варианта загрузки (Linux и Windows), он также уязвим к BootHole. Тем самым в опасности оказываются не только серверы и устройства IoT, но также ноутбуки и настольные компьютеры.

Источник

Похожие статьи

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *

Кнопка «Наверх»
Закрыть